[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[RHSA-2015:1704-01] Moderate: Red Hat JBoss Data Virtualization 6.1.0 security update



-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Moderate: Red Hat JBoss Data Virtualization 6.1.0 security update
Advisory ID:       RHSA-2015:1704-01
Product:           Red Hat JBoss Data Virtualization
Advisory URL:      https://rhn.redhat.com/errata/RHSA-2015-1704.html
Issue date:        2015-09-02
CVE Names:         CVE-2015-1818 
=====================================================================

1. Summary:

Red Hat JBoss Data Virtualization 6.1.0 2015 roll up patch 3, which fixes
one security issue and various bugs, is now available from the Red Hat
Customer Portal.

Red Hat Product Security has rated this update as having Moderate security
impact. A Common Vulnerability Scoring System (CVSS) base score, which
gives a detailed severity rating, is available from the CVE link in the
References section.

2. Description:

Red Hat JBoss Data Virtualization is a lean data integration solution that
provides easy, real-time, and unified data access across disparate sources
to multiple applications and users. JBoss Data Virtualization makes data
spread across physically distinct systems—such as multiple databases, XML
files, and even Hadoop systems—appear as a set of tables in a local
database.

This roll up patch serves as a cumulative upgrade for Red Hat JBoss Data
Virtualization 6.1.0. It includes various bug fixes, which are listed in
the README file included with the patch files.

The following security issue is also fixed with this release:

A flaw was found in the dashbuilder import facility: the DocumentBuilders
instantiated in org.jboss.dashboard.export.ImportManagerImpl did not
disable external entities. This could allow an attacker to perform a
variety of XML External Entity (XXE) and Server-Side Request Forgery (SSRF)
attacks. (CVE-2015-1818)

Red Hat would like to thank David Jorm of IIX Product Security for
reporting the CVE-2015-1818 issue.

All users of Red Hat JBoss Data Virtualization 6.1.0 as provided from the
Red Hat Customer Portal are advised to apply this roll up patch.

3. Solution:

The References section of this erratum contains a download link (you must
log in to download the update). Before applying the update, back up your
existing Red Hat JBoss Data Virtualization installation (including its
databases, applications, configuration files, and so on).

Note that it is recommended to halt the Red Hat JBoss Data Virtualization
server by stopping the JBoss Application Server process before installing
this update, and then after installing the update, restart the Red Hat
JBoss Data Virtualization server by starting the JBoss Application Server
process.

4. Bugs fixed (https://bugzilla.redhat.com/):

1201714 - CVE-2015-1818 dashbuilder: XXE/SSRF vulnerability

5. References:

https://access.redhat.com/security/cve/CVE-2015-1818
https://access.redhat.com/security/updates/classification/#moderate
https://access.redhat.com/jbossnetwork/restricted/listSoftware.html?product=data.services.platform&downloadType=securityPatches&version=6.1.0

6. Contact:

The Red Hat security contact is <secalert redhat com>. More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2015 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iD8DBQFV5yPcXlSAg2UNWIIRAuztAKCdi+ma+Kpj/Sm2a9UFq0izL7QBtACfbTfr
oXNMb9MCLQ8mOvrHEVu2Q/U=
=BJJ6
-----END PGP SIGNATURE-----


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]